aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlex J Lennon <ajlennon@dynamicdevices.co.uk>2014-06-09 08:05:57 +0100
committerAndrei Gherzan <andrei@gherzan.ro>2014-08-14 20:02:57 +0200
commit946b69299737cc2f1378c864f1b9075280db1b53 (patch)
tree56b7bcfc3a2015c464b27f254f79c5140f3d4d7a
parentbe68d514b3031d6008821e4bb676788bafe962f6 (diff)
downloadmeta-raspberrypi-daisy.tar.gz
meta-raspberrypi-daisy.tar.bz2
meta-raspberrypi-daisy.zip
gstreamer1.0-plugins-bad: Build eglglessink for Raspberry Pidaisy
The eglglessink needs to be built to target the Raspberry Pi or it will seg-fault in use. Autoconf attempts to detect whether to build for RPi but there are some include files needed, the search path to which must be specified. ref: https://github.com/raspberrypi/firmware/issues/34 ref: https://github.com/raspberrypi/firmware/issues/99 This patch adds the needed include paths and forces the plugin to be built for Raspberry Pi. With this patch the following pipeline works on RPi, modprobe bcm2835-v4l2 gst_v4l2src_is_broken=1 gst-launch-1.0 --gst-debug-no-color v4l2src \ ! 'video/x-raw,format=RGB,width=1280,height=720,framerate=(fraction)30/1' \ ! eglglessink max-lateness=-1 Change-Id: Iabd93c0601c2ab898de3352a7d30423ef9cfce43 Signed-off-by: Alex J Lennon <ajlennon@dynamicdevices.co.uk>
-rw-r--r--recipes-multimedia/gstreamer/gstreamer1.0-plugins-bad_1.2.3.bbappend3
1 files changed, 3 insertions, 0 deletions
diff --git a/recipes-multimedia/gstreamer/gstreamer1.0-plugins-bad_1.2.3.bbappend b/recipes-multimedia/gstreamer/gstreamer1.0-plugins-bad_1.2.3.bbappend
new file mode 100644
index 0000000..fba7e1a
--- /dev/null
+++ b/recipes-multimedia/gstreamer/gstreamer1.0-plugins-bad_1.2.3.bbappend
@@ -0,0 +1,3 @@
+EXTRA_OECONF_append_raspberrypi = " CPPFLAGS='-I${STAGING_DIR_TARGET}/usr/include/interface/vcos/pthreads \
+ -I${STAGING_DIR_TARGET}/usr/include/interface/vmcs_host/linux' \
+ --with-egl-window-system=rpi"